org.apache.synapse.securevault.keystore

## Class AbstractKeyStoreLoader

- java.lang.Object
- - org.apache.synapse.securevault.keystore.AbstractKeyStoreLoader

- All Implemented Interfaces:
    IKeyStoreLoader
  Direct Known Subclasses:
    JKSKeyStoreLoader, PKCS12KeyStoreLoader

      public abstract class AbstractKeyStoreLoader
      extends java.lang.Object
      implements IKeyStoreLoader

  Provides the base for loading KeyStores

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.commons.logging.Log` | `log`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractKeyStoreLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.security.KeyStore` | `getKeyStore(java.lang.String location, java.lang.String storePassword, java.lang.String storeType, java.lang.String provider)` Constructs a KeyStore based on keystore location , keystore password , keystore type and provider
    `protected void` | `handleException(java.lang.String msg)`
    `protected void` | `handleException(java.lang.String msg, java.lang.Exception e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.synapse.securevault.IKeyStoreLoader

      `getKeyStore`

- - ### Field Detail

    - #### log

          protected org.apache.commons.logging.Log log

  - ### Constructor Detail

    - #### AbstractKeyStoreLoader

          protected AbstractKeyStoreLoader()

  - ### Method Detail

    - #### getKeyStore

          protected java.security.KeyStore getKeyStore(java.lang.String location,
                                                       java.lang.String storePassword,
                                                       java.lang.String storeType,
                                                       java.lang.String provider)

      Constructs a KeyStore based on keystore location , keystore password , keystore type and provider
      Parameters:
        `location` - The location of the KeyStore
        `storePassword` - Password to unlock KeyStore
        `storeType` - KeyStore type
        `provider` - Provider
      Returns:
        KeyStore Instance

    - #### handleException

          protected void handleException(java.lang.String msg,
                                         java.lang.Exception e)

    - #### handleException

          protected void handleException(java.lang.String msg)

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.